Subject: Re: Clear coat

From: [email-masked] (Gene Olson and Chris Wilson)
Date: Sun, 7 Jul 1996 01:12:24 -0400 (EDT)

>At 01:41 PM 7/5/96 -0400, you wrote:
>>I would like to know what ye all recommend for a clear coat finish on 
>>interior ironwork.  

>I have used a product called "Deft" 
>
>Rusty
>
Gee Rusty, that takes me back to MR. Johnson and 7th grade shop. I never
would have thought of using Deft on metal, but it is an almost "fool" proof
finish. (there were a lot of us that nearly qualified in seventh grade) 
 My mom still has the lamps and the eighth grade coffee table finished 
 with Deft.

        Gene 
(34 years out of 7th grade and still finding things I know nothing about.) 
        Olson

 The Studios of Gene Olson and Chris Wilson  Metals, Stone, Mixed Media
  8600 NE O'DEAN AVE, ELK RIVER, MN 55330
  URL: http://www.concentric.net/~mettlewk/